public class Frog extends Animal implements Swimming, Climbing {
    @Override
    public void makeSound() {
        System.out.println("Green Frog croaks!");
    }

    @Override
    public void swim() {
        System.out.println("Green Frog swims in the pond.");
    }

    @Override
    public void climb() {
        System.out.println("Green Frog climbs a tree.");
    }
}
